package com.mamezou.spring.jdbc;

import java.util.HashMap;
import java.util.Map;

import org.springframework.jdbc.core.ActiveRowMapper;
import org.springframework.jdbc.core.namedparam.NamedParameterJdbcTemplate;

public class ActiveRowMapperTest extends SpringJdbcTest {
   
    public void test_ActiveRowMapper() throws Exception {
        NamedParameterJdbcTemplate template = new NamedParameterJdbcTemplate(ds);
        Map<String, Object> param = new HashMap<String, Object>();
        param.put("id", 1);

        Author actual = (Author) template.queryForObject(
                "select id,name from author where id = :id", param,
                new ActiveRowMapper(Author.class));
        assertEquals(new Author(1, "哤"),actual);
    }

    public void test_ActiveRowMapperWithUnderscore() throws Exception {
        NamedParameterJdbcTemplate template = new NamedParameterJdbcTemplate(ds);
        Map<String, Object> param = new HashMap<String, Object>();
        param.put("id", 1);

        Author actual = (Author) template.queryForObject(
                "select id,name,mail_address from author where id = :id", param,
                new ActiveRowMapper(Author.class));
        assertEquals(new Author(1, "哤","daizu@mamezou.com"),actual);
    }
    
  
}
